<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Cloud\Controllers\CloudIntegrationsController;
use App\Http\ApiV1\Modules\Common\Controllers\EntitiesController;
use App\Http\ApiV1\Modules\Feeds\Controllers\FeedsController;
use App\Http\ApiV1\Modules\Feeds\Controllers\FeedSettingsController;
use Illuminate\Support\Facades\Route;

Route::post('common/entities:migrate', [EntitiesController::class, 'migrate']);
Route::get('feeds/feeds/{id}', [FeedsController::class, 'get']);
Route::post('feeds/feeds:search', [FeedsController::class, 'search']);
Route::post('feeds/feed-settings', [FeedSettingsController::class, 'create']);
Route::get('feeds/feed-settings/{id}', [FeedSettingsController::class, 'get']);
Route::patch('feeds/feed-settings/{id}', [FeedSettingsController::class, 'patch']);
Route::post('feeds/feed-settings:search', [FeedSettingsController::class, 'search']);
Route::get('cloud/cloud-integrations', [CloudIntegrationsController::class, 'get']);
Route::post('cloud/cloud-integrations', [CloudIntegrationsController::class, 'create']);
Route::patch('cloud/cloud-integrations', [CloudIntegrationsController::class, 'patch']);
